cdac.medinfo.sdk.hl7282.baselibs.segments

## Class SAC

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.SAC

- All Implemented Interfaces:
    ISegment

      public class SAC
      extends Segment

  SAC - Specimen Container Detail Segment.

  The (SAC)container detail segment is the data necessary to maintain the containers that are being used throughout the Laboratory Automation System.

  Represents an HL7 SAC message segment. This segment has the following fields:

  SAC-1: External Accession Identifier (EI)Optional
  SAC-2: Accession Identifier (EI)Optional
  SAC-3: Container Identifier (EI)Conditional
  SAC-4: Primary (parent) Container Identifier (EI)Conditional
  SAC-5: Equipment Container Identifier (EI)Optional
  SAC-6: Specimen Source (SPS)Conditional
  SAC-7: Registration Date/Time (DTM)Optional
  SAC-8: Container Status (CWE)Optional
  SAC-9: Carrier Type (CWE)Optional
  SAC-10: Carrier Identifier (EI)Optional
  SAC-11: Position in Carrier (NA)Optional
  SAC-12: Tray Type - SAC (CWE)Optional
  SAC-13: Tray Identifier (EI)Optional
  SAC-14: Position in Tray (NA)Optional
  SAC-15: Location (CWE)Optional
  SAC-16: Container Height (NM)Optional
  SAC-17: Container Diameter (NM)Optional
  SAC-18: Barrier Delta (NM)Optional
  SAC-19: Bottom Delta (NM)Optional
  SAC-20: Container Height/Diameter/Delta Units (CWE)Optional
  SAC-21: Container Volume (NM)Optional
  SAC-22: Available Specimen Volume (NM)Optional
  SAC-23: Initial Specimen Volume (NM)Optional
  SAC-24: Volume Units (CWE)Optional
  SAC-25: Separator Type (CWE)Optional
  SAC-26: Cap Type (CWE)Optional
  SAC-27: Additive (CWE)Optional
  SAC-28: Specimen Component (CWE)Optional
  SAC-29: Dilution Factor (SN)Optional
  SAC-30: Treatment (CWE)Optional
  SAC-31: Temperature (SN)Optional
  SAC-32: Hemolysis Index (NM)Optional
  SAC-33: Hemolysis Index Units (CWE)Optional
  SAC-34: Lipemia Index (NM)Optional
  SAC-35: Lipemia Index Units (CWE)Optional
  SAC-36: Icterus Index (NM)Optional
  SAC-37: Icterus Index Units (CWE)Optional
  SAC-38: Fibrin Index (NM)Optional
  SAC-39: Fibrin Index Units (CWE)Optional
  SAC-40: System Induced Contaminants (CWE)Optional
  SAC-41: Drug Interference (CWE)Optional
  SAC-42: Artificial Blood (CWE)Optional
  SAC-43: Special Handling Code (CWE)Optional
  SAC-44: Other Environmental Factors (CWE)Optional

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAC()` Constructs the SAC segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAdditive(CWE objadditive)` Add the Additive.
    `void` | `addAdditive(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Additive.
    `void` | `addDrugInterference(CWE objdrugInterference)` Add the Drug Interference.
    `void` | `addDrugInterference(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Drug Interference.
    `void` | `addLocation(CWE objlocation)` Add the Location.
    `void` | `addLocation(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Location.
    `void` | `addOtherEnvironmentalFactors(CWE objotherEnvironmentalFactors)` Add the OtherEnvironmentalFactors.
    `void` | `addOtherEnvironmentalFactors(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the OtherEnvironmentalFactors.
    `void` | `addSpecialHandlingCode(CWE objspecialHandlingCode)` Add the Special Handling Code.
    `void` | `addSpecialHandlingCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Special Handling Code.
    `void` | `addSystemInducedContaminants(CWE objsystemInducedContaminants)` Add the System Induced Contaminants.
    `void` | `addSystemInducedContaminants(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the System Induced Contaminants.
    `EI` | `getAccessionIdentifier()` Retrieves the Accession Identifier.
    `ISingleCollection<CWE>` | `getAdditive()` Retrieves the Additive.
    `CWE` | `getArtificialBlood()` Retrieves the Artificial Blood.
    `NM` | `getAvailableSpecimenVolume()` Retrieves the Available Specimen Volume.
    `NM` | `getBarrierDelta()` Retrieves the Barrier Delta.
    `NM` | `getBottomDelta()` Retrieves the BottomDelta.
    `CWE` | `getCapType()` Retrieves the Cap Type.
    `EI` | `getCarrierIdentifier()` Retrieves the CarrierIdentifier.
    `CWE` | `getCarrierType()` Retrieves the Carrier Type.
    `NM` | `getContainerDiameter()` Retrieves the Container Diameter.
    `NM` | `getContainerHeight()` Retrieves the Container Height.
    `CWE` | `getContainerHeightDiameterDeltaUnits()` Retrieves the Container Height Diameter Delta Units.
    `EI` | `getContainerIdentifier()` Retrieves the Container Identifier.
    `CWE` | `getContainerStatus()` Retrieves the Container Status.
    `NM` | `getContainerVolume()` Retrieves the Container Volume.
    `SN` | `getDilutionFactor()` Retrieves the Dilution Factor.
    `ISingleCollection<CWE>` | `getDrugInterference()` Retrieves the Drug Interference.
    `EI` | `getEquipmentContainerIdentifier()` Retrieves the Equipment Container Identifier.
    `EI` | `getExternalAccessionIdentifier()` Retrieves the External AccessionIdentifier.
    `NM` | `getFibrinIndex()` Retrieves the Fibrin Index.
    `CWE` | `getFibrinIndexUnits()` Retrieves the Fibrin Index Units.
    `NM` | `getHemolysisIndex()` Retrieves the Hemolysis Index.
    `CWE` | `getHemolysisIndexUnits()` Retrieves the Hemolysis Index Units.
    `NM` | `getIcterusIndex()` Retrieves the Icterus Index.
    `CWE` | `getIcterusIndexUnits()` Retrieves the Icterus Index Units.
    `NM` | `getInitialSpecimenVolume()` Retrieves the Initial Specimen Volume.
    `NM` | `getLipemiaIndex()` Retrieves the Lipemia Index.
    `CWE` | `getLipemiaIndexUnits()` Retrieves the Lipemia Index Units.
    `ISingleCollection<CWE>` | `getLocation()` Retrieves the Location.
    `ISingleCollection<CWE>` | `getOtherEnvironmentalFactors()` Retrieves the OtherEnvironmentalFactors.
    `NA` | `getPositionInCarrier()` Retrieves the Position In Carrier.
    `NA` | `getPositionInTray()` Retrieves the Position In Tray.
    `EI` | `getPrimaryParentContainerIdentifier()` Retrieves the Primary Parent Container Identifier.
    `DTM` | `getRegistrationDateTime()` Retrieves the Registration Date Time.
    `CWE` | `getSeparatorType()` Retrieves the Separator Type.
    `ISingleCollection<CWE>` | `getSpecialHandlingCode()` Retrieves the Special Handling Code.
    `CWE` | `getSpecimenComponent()` Retrieves the Specimen Component.
    `ISingleCollection<CWE>` | `getSystemInducedContaminants()` Retrieves the System Induced Contaminants.
    `SN` | `getTemperature()` Retrieves the Temperature.
    `EI` | `getTrayIdentifier()` Retrieves the Tray Identifier.
    `CWE` | `getTrayType_SAC()` Retrieves the Tray Type SAC.
    `CWE` | `getTreatment()` Retrieves the Treatment.
    `CWE` | `getVolumeUnits()` Retrieves the Volume Units.
    `void` | `setAccessionIdentifier(EI objaccessionIdentifier)` Set the Accession Identifier.
    `void` | `setAccessionIdentifier(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Accession Identifier.
    `void` | `setAdditive(ISingleCollection<CWE> objAdditive)` Set the Additive.
    `void` | `setArtificialBlood(CWE objartificialBlood)` Set the Artificial Blood.
    `void` | `setArtificialBlood(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Artificial Blood.
    `void` | `setAvailableSpecimenVolume(NM objavailableSpecimenVolume)` Set Available Specimen Volume.
    `void` | `setAvailableSpecimenVolume(java.lang.String strAvailableSpecimenVolume)` Set Available Specimen Volume.
    `void` | `setBarrierDelta(NM objbarrierDelta)` Set the Barrier Delta.
    `void` | `setBarrierDelta(java.lang.String strBarrierDelta)` Set the Barrier Delta.
    `void` | `setBottomDelta(NM objbottomDelta)` Set the BottomDelta.
    `void` | `setBottomDelta(java.lang.String strBottomDelta)` Set the BottomDelta.
    `void` | `setCapType(CWE objcapType)` Set the Cap Type.
    `void` | `setCapType(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Cap Type.
    `void` | `setCarrierIdentifier(EI objcarrierIdentifier)` Set the CarrierIdentifier.
    `void` | `setCarrierIdentifier(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the CarrierIdentifier.
    `void` | `setCarrierType(CWE objcarrierType)` Set the Carrier Type.
    `void` | `setCarrierType(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Carrier Type.
    `void` | `setContainerDiameter(NM objcontainerDiameter)` Set the Container Diameter.
    `void` | `setContainerDiameter(java.lang.String strContainerDiameter)` Set the Container Diameter.
    `void` | `setContainerHeight(NM objcontainerHeight)` Set Container Height.
    `void` | `setContainerHeight(java.lang.String strContainerHeight)` Set Container Height.
    `void` | `setContainerHeightDiameterDeltaUnits(CWE objcontainerHeightDiameterDeltaUnits)` Set the Container Height Diameter Delta Units.
    `void` | `setContainerHeightDiameterDeltaUnits(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Container Height Diameter Delta Units.
    `void` | `setContainerIdentifier(EI objcontainerIdentifier)` Set the Container Identifier.
    `void` | `setContainerIdentifier(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Container Identifier.
    `void` | `setContainerStatus(CWE objcontainerStatus)` Set the Container Status.
    `void` | `setContainerStatus(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Container Status.
    `void` | `setContainerVolume(NM objcontainerVolume)` Set the Container Volume.
    `void` | `setContainerVolume(java.lang.String strContainerVolume)` Set the Container Volume.
    `void` | `setDilutionFactor(SN objdilutionFactor)` Set the Dilution Factor.
    `void` | `setDilutionFactor(java.lang.String strComparator, java.lang.String strNum1, java.lang.String strSeparatorSuffix, java.lang.String strNum2)` Set the Dilution Factor.
    `void` | `setDrugInterference(ISingleCollection<CWE> objDrugInterference)` Set the Drug Interference.
    `void` | `setEquipmentContainerIdentifier(EI objequipmentContainerIdentifier)` Set the Equipment Container Identifier.
    `void` | `setEquipmentContainerIdentifier(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Equipment Container Identifier.
    `void` | `setExternalAccessionIdentifier(EI objexternalAccessionIdentifier)` Set the External AccessionIdentifier.
    `void` | `setExternalAccessionIdentifier(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the External AccessionIdentifier.
    `void` | `setFibrinIndex(NM objfibrinIndex)` Set the Fibrin Index.
    `void` | `setFibrinIndex(java.lang.String strFibrinIndex)` Set the Fibrin Index.
    `void` | `setFibrinIndexUnits(CWE objfibrinIndexUnits)` Set the Fibrin Index Units.
    `void` | `setFibrinIndexUnits(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Fibrin Index Units.
    `void` | `setHemolysisIndex(NM objhemolysisIndex)` Set the Hemolysis Index.
    `void` | `setHemolysisIndex(java.lang.String strHemolysisIndex)` Set the Hemolysis Index.
    `void` | `setHemolysisIndexUnits(CWE objhemolysisIndexUnits)` Set the Hemolysis Index Units.
    `void` | `setHemolysisIndexUnits(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Hemolysis Index Units.
    `void` | `setIcterusIndex(NM objicterusIndex)` Set the Icterus Index.
    `void` | `setIcterusIndex(java.lang.String strIcterusIndex)` Set the Icterus Index.
    `void` | `setIcterusIndexUnits(CWE objicterusIndexUnits)` Set the Icterus Index Units.
    `void` | `setIcterusIndexUnits(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Icterus Index Units.
    `void` | `setInitialSpecimenVolume(NM objinitialSpecimenVolume)` Set the Initial Specimen Volume.
    `void` | `setInitialSpecimenVolume(java.lang.String strInitialSpecimenVolume)` Set the Initial Specimen Volume.
    `void` | `setLipemiaIndex(NM objlipemiaIndex)` Set the Lipemia Index.
    `void` | `setLipemiaIndex(java.lang.String strLipemiaIndex)` Set the Lipemia Index.
    `void` | `setLipemiaIndexUnits(CWE objlipemiaIndexUnits)` Set the Lipemia Index Units.
    `void` | `setLipemiaIndexUnits(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Lipemia Index Units.
    `void` | `setLocation(ISingleCollection<CWE> objLocation)` Set the Location.
    `void` | `setOtherEnvironmentalFactors(ISingleCollection<CWE> objOtherEnvironmentalFactors)` Set the OtherEnvironmentalFactors.
    `void` | `setPositioninCarrier(NA objpositionInCarrier)` Set the Position In Carrier.
    `void` | `setPositioninCarrier(java.lang.String strValue1, java.lang.String strValue2, java.lang.String strValue3, java.lang.String strValue4)` Set the Position In Carrier.
    `void` | `setPositioninTray(NA objpositionInTray)` Set the Position In Tray.
    `void` | `setPositioninTray(java.lang.String strValue1, java.lang.String strValue2, java.lang.String strValue3, java.lang.String strValue4)` Set the Position In Tray.
    `void` | `setPrimaryParentContainerIdentifier(EI objprimaryParentContainerIdentifier)` Set the Primary Parent Container Identifier.
    `void` | `setPrimaryParentContainerIdentifier(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Primary Parent Container Identifier.
    `void` | `setRegistrationDateTime(DTM objregistrationDateTime)` Set the Registration Date Time.
    `void` | `setRegistrationDateTime(java.lang.String strTime)` Set the Registration Date Time.
    `void` | `setSeparatorType(CWE objseparatorType)` Set the Separator Type.
    `void` | `setSeparatorType(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Separator Type.
    `void` | `setSpecialHandlingCode(ISingleCollection<CWE> objSpecialHandlingCode)` Set the Special Handling Code.
    `void` | `setSpecimenComponent(CWE objspecimenComponent)` Set the Specimen Component.
    `void` | `setSpecimenComponent(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Specimen Component.
    `void` | `setSystemInducedContaminants(ISingleCollection<CWE> objSystemInducedContaminants)` Set the System Induced Contaminants.
    `void` | `setTemperature(SN objtemperature)` Set the Temperature.
    `void` | `setTemperature(java.lang.String strComparator, java.lang.String strNum1, java.lang.String strSeparatorSuffix, java.lang.String strNum2)` Set the Temperature.
    `void` | `setTrayIdentifier(EI objtrayIdentifier)` Set the Tray Identifier.
    `void` | `setTrayIdentifier(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Tray Identifier.
    `void` | `setTrayType_SAC(CWE objtrayType_SAC)` Set the Tray Type SAC.
    `void` | `setTrayType_SAC(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Tray Type SAC.
    `void` | `setTreatment(CWE objtreatment)` Set the Treatment.
    `void` | `setTreatment(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Treatment.
    `void` | `setVolumeUnits(CWE objvolumeUnits)` Set the Volume Units.
    `void` | `setVolumeUnits(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Volume Units.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SAC

          public SAC()

      Constructs the SAC segment.

  - ### Method Detail

    - #### getAccessionIdentifier

          public EI getAccessionIdentifier()

      Retrieves the Accession Identifier.
      Returns:
        EI - accessionIdentifier

    - #### getAdditive

          public ISingleCollection<CWE> getAdditive()

      Retrieves the Additive. This field identify any additives introduced to the specimen before or at the time of collection.
      Returns:
        ISingleCollection - additive

    - #### getArtificialBlood

          public CWE getArtificialBlood()

      Retrieves the Artificial Blood.
      Returns:
        CWE - artificialBlood

    - #### getAvailableSpecimenVolume

          public NM getAvailableSpecimenVolume()

      Retrieves the Available Specimen Volume.
      Returns:
        String - availableSpecimenVolume

    - #### getBarrierDelta

          public NM getBarrierDelta()

      Retrieves the Barrier Delta. This field specify the distance from the Point of Reference to the separator material(barrier) within the container.
      Returns:
        String - barrierDelta

    - #### getBottomDelta

          public NM getBottomDelta()

      Retrieves the BottomDelta. This field specify the distance from the Point of Reference to the outside bottom of the container.
      Returns:
        String - bottomDelta

    - #### getCapType

          public CWE getCapType()

      Retrieves the Cap Type.
      Returns:
        CWE - capType

    - #### getCarrierIdentifier

          public EI getCarrierIdentifier()

      Retrieves the CarrierIdentifier. This field specify the ID of the carrier where the container is located.
      Returns:
        EI - carrierIdentifier

    - #### getCarrierType

          public CWE getCarrierType()

      Retrieves the Carrier Type.
      Returns:
        CWE - carrierType

    - #### getContainerDiameter

          public NM getContainerDiameter()

      Retrieves the Container Diameter.
      Returns:
        String - containerDiameter

    - #### getContainerHeight

          public NM getContainerHeight()

      Retrieves the Container Height.
      Returns:
        String - containerHeight

    - #### getContainerHeightDiameterDeltaUnits

          public CWE getContainerHeightDiameterDeltaUnits()

      Retrieves the Container Height Diameter Delta Units. Thid field specify the unit identifier that is being used to describe the diameter, height and deltas of the container.
      Returns:
        CWE - containerHeightDiameterDeltaUnits

    - #### getContainerIdentifier

          public EI getContainerIdentifier()

      Retrieves the Container Identifier.
      Returns:
        EI - containerIdentifier

    - #### getContainerStatus

          public CWE getContainerStatus()

      Retrieves the Container Status.
      Returns:
        CWE - containerStatus

    - #### getContainerVolume

          public NM getContainerVolume()

      Retrieves the Container Volume.
      Returns:
        String - containerVolume

    - #### getDilutionFactor

          public SN getDilutionFactor()

      Retrieves the Dilution Factor.
      Returns:
        SN - dilutionFactor

    - #### getDrugInterference

          public ISingleCollection<CWE> getDrugInterference()

      Retrieves the Drug Interference.
      Returns:
        ISingleCollection - drugInterference

    - #### getEquipmentContainerIdentifier

          public EI getEquipmentContainerIdentifier()

      Retrieves the Equipment Container Identifier.
      Returns:
        EI - equipmentContainerIdentifier

    - #### getExternalAccessionIdentifier

          public EI getExternalAccessionIdentifier()

      Retrieves the External AccessionIdentifier.
      Returns:
        EI - externalAccessionIdentifier

    - #### getFibrinIndex

          public NM getFibrinIndex()

      Retrieves the Fibrin Index.
      Returns:
        String - fibrinIndex

    - #### getFibrinIndexUnits

          public CWE getFibrinIndexUnits()

      Retrieves the Fibrin Index Units.
      Returns:
        CWE - fibrinIndexUnits

    - #### getHemolysisIndex

          public NM getHemolysisIndex()

      Retrieves the Hemolysis Index.
      Returns:
        String - hemolysisIndex

    - #### getHemolysisIndexUnits

          public CWE getHemolysisIndexUnits()

      Retrieves the Hemolysis Index Units.
      Returns:
        CWE - hemolysisIndexUnits

    - #### getIcterusIndex

          public NM getIcterusIndex()

      Retrieves the Icterus Index.
      Returns:
        String - icterusIndex

    - #### getIcterusIndexUnits

          public CWE getIcterusIndexUnits()

      Retrieves the Icterus Index Units.
      Returns:
        CWE - icterusIndexUnits

    - #### getInitialSpecimenVolume

          public NM getInitialSpecimenVolume()

      Retrieves the Initial Specimen Volume.
      Returns:
        String - initialSpecimenVolume

    - #### getLipemiaIndex

          public NM getLipemiaIndex()

      Retrieves the Lipemia Index.
      Returns:
        String - lipemiaIndex

    - #### getLipemiaIndexUnits

          public CWE getLipemiaIndexUnits()

      Retrieves the Lipemia Index Units.
      Returns:
        CWE - lipemiaIndexUnits

    - #### getLocation

          public ISingleCollection<CWE> getLocation()

      Retrieves the Location.
      Returns:
        ISingleCollection - location

    - #### getOtherEnvironmentalFactors

          public ISingleCollection<CWE> getOtherEnvironmentalFactors()

      Retrieves the OtherEnvironmentalFactors. This field specify the other environmental factors that are associated with the specimen in a specific container
      Returns:
        ISingleCollection - otherEnvironmentalFactors

    - #### getPositionInCarrier

          public NA getPositionInCarrier()

      Retrieves the Position In Carrier.
      Returns:
        NA - positionInCarrier

    - #### getPositionInTray

          public NA getPositionInTray()

      Retrieves the Position In Tray.
      Returns:
        NA - positionInTray

    - #### getPrimaryParentContainerIdentifier

          public EI getPrimaryParentContainerIdentifier()

      Retrieves the Primary Parent Container Identifier.
      Returns:
        EI - primaryParentContainerIdentifier

    - #### getRegistrationDateTime

          public DTM getRegistrationDateTime()

      Retrieves the Registration Date Time.
      Returns:
        DTM - registrationDateTime

    - #### getSeparatorType

          public CWE getSeparatorType()

      Retrieves the Separator Type.
      Returns:
        CWE - separatorType

    - #### getSpecialHandlingCode

          public ISingleCollection<CWE> getSpecialHandlingCode()

      Retrieves the Special Handling Code.
      Returns:
        ISingleCollection - specialHandlingCode

    - #### getSpecimenComponent

          public CWE getSpecimenComponent()

      Retrieves the Specimen Component.
      Returns:
        CWE - specimenComponent

    - #### getSystemInducedContaminants

          public ISingleCollection<CWE> getSystemInducedContaminants()

      Retrieves the System Induced Contaminants.
      Returns:
        ISingleCollection - systemInducedContaminants

    - #### getTemperature

          public SN getTemperature()

      Retrieves the Temperature. This field specify the temperature in degrees Celsius at the time of the transaction specified in the EQU segment.
      Returns:
        SN - temperature

    - #### getTrayIdentifier

          public EI getTrayIdentifier()

      Retrieves the Tray Identifier.
      Returns:
        EI - trayIdentifier

    - #### getTrayType_SAC

          public CWE getTrayType_SAC()

      Retrieves the Tray Type SAC.
      Returns:
        CWE - trayType_SAC

    - #### getTreatment

          public CWE getTreatment()

      Retrieves the Treatment.
      Returns:
        CWE - treatment

    - #### getVolumeUnits

          public CWE getVolumeUnits()

      Retrieves the Volume Units.
      Returns:
        CWE - volumeUnits

    - #### setAccessionIdentifier

          public void setAccessionIdentifier(java.lang.String strEntityIdentifier,
                                    java.lang.String strNamespaceId,
                                    java.lang.String strUniversalId,
                                    java.lang.String strUniversalIdType)

      Set the Accession Identifier.
      Parameters:
        `strEntityIdentifier` - Specifies defined by a hierarchic designator, represented by components 2 through 4. [Reference Section 2.A.33, "HD - hierarchic designator".]
        `strNamespaceId` - Specifies the HL7 identifier for the user-defined table of values for this component. [Refer to User-defined Table 0363 - Assigning authority]
        `strUniversalId` - Specifies string formatted according to the scheme defined by the component, (UID type).
        `strUniversalIdType` - Specifies the interpretation of the second component of the HD.

    - #### setAccessionIdentifier

          public void setAccessionIdentifier(EI objaccessionIdentifier)

      Set the Accession Identifier.
      Parameters:
        `objaccessionIdentifier` - Object of Accession Identifier.

    - #### addAdditive

          public void addAdditive(java.lang.String strIdentifier,
                         java.lang.String strText,
                         java.lang.String strNameOfCodingSystem,
                         java.lang.String strAlternateIdentifier,
                         java.lang.String strAlternateText,
                         java.lang.String strNameOfAlternateCodingSystem,
                         java.lang.String strCodingSystemVersionID,
                         java.lang.String strAlternateCodingSystemVersionId,
                         java.lang.String strOriginalText,
                         java.lang.String strSecondAlternateIdentifier,
                         java.lang.String strSecondAlternateText,
                         java.lang.String strNameofSecondAlternateCodingSystem,
                         java.lang.String strSecondAlternateCodingSystemVersionID,
                         java.lang.String strCodingSystemOID,
                         java.lang.String strValueSetOID,
                         java.lang.String strValueSetVersionID,
                         java.lang.String strAlternateCodingSystemOID,
                         java.lang.String strAlternateValueSetOID,
                         java.lang.String strAlternateValueSetVersionID,
                         java.lang.String strSecondAlternateCodingSystemOID,
                         java.lang.String strSecondAlternateValueSetOID,
                         java.lang.String strSecondAlternateValueSetVersionID)

      Add the Additive. This field identify any additives introduced to the specimen before or at the time of collection.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addAdditive

          public void addAdditive(CWE objadditive)

      Add the Additive. This field identify any additives introduced to the specimen before or at the time of collection.
      Parameters:
        `objadditive` - Object of Additive.

    - #### setAdditive

          public void setAdditive(ISingleCollection<CWE> objAdditive)

      Set the Additive. This field identify any additives introduced to the specimen before or at the time of collection.
      Parameters:
        `objAdditive` - List of Additive.

    - #### setArtificialBlood

          public void setArtificialBlood(java.lang.String strIdentifier,
                                java.lang.String strText,
                                java.lang.String strNameOfCodingSystem,
                                java.lang.String strAlternateIdentifier,
                                java.lang.String strAlternateText,
                                java.lang.String strNameOfAlternateCodingSystem,
                                java.lang.String strCodingSystemVersionID,
                                java.lang.String strAlternateCodingSystemVersionId,
                                java.lang.String strOriginalText,
                                java.lang.String strSecondAlternateIdentifier,
                                java.lang.String strSecondAlternateText,
                                java.lang.String strNameofSecondAlternateCodingSystem,
                                java.lang.String strSecondAlternateCodingSystemVersionID,
                                java.lang.String strCodingSystemOID,
                                java.lang.String strValueSetOID,
                                java.lang.String strValueSetVersionID,
                                java.lang.String strAlternateCodingSystemOID,
                                java.lang.String strAlternateValueSetOID,
                                java.lang.String strAlternateValueSetVersionID,
                                java.lang.String strSecondAlternateCodingSystemOID,
                                java.lang.String strSecondAlternateValueSetOID,
                                java.lang.String strSecondAlternateValueSetVersionID)

      Set the Artificial Blood.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setArtificialBlood

          public void setArtificialBlood(CWE objartificialBlood)

      Set the Artificial Blood.
      Parameters:
        `objartificialBlood` - Object of Artificial Blood.

    - #### setAvailableSpecimenVolume

          public void setAvailableSpecimenVolume(java.lang.String strAvailableSpecimenVolume)

      Set Available Specimen Volume.
      Parameters:
        `strAvailableSpecimenVolume` - This field contains the String Value of Available Specimen Volume

    - #### setAvailableSpecimenVolume

          public void setAvailableSpecimenVolume(NM objavailableSpecimenVolume)

      Set Available Specimen Volume.
      Parameters:
        `objavailableSpecimenVolume` - Object of Available Specimen Volume.

    - #### setBarrierDelta

          public void setBarrierDelta(java.lang.String strBarrierDelta)

      Set the Barrier Delta. This field specify the distance from the Point of Reference to the separator material(barrier) within the container.
      Parameters:
        `strBarrierDelta` - This field contains the String Value of Barrier Delta

    - #### setBarrierDelta

          public void setBarrierDelta(NM objbarrierDelta)

      Set the Barrier Delta. This field specify the distance from the Point of Reference to the separator material(barrier) within the container.
      Parameters:
        `objbarrierDelta` - Object of Barrier Delta.

    - #### setBottomDelta

          public void setBottomDelta(java.lang.String strBottomDelta)

      Set the BottomDelta. This field specify the distance from the Point of Reference to the outside bottom of the container.tance from the Point of Reference to the outside bottom of the container in units specified
      Parameters:
        `strBottomDelta` - This field contains the String Value of Bottom Delta

    - #### setBottomDelta

          public void setBottomDelta(NM objbottomDelta)

      Set the BottomDelta. This field specify the distance from the Point of Reference to the outside bottom of the container.tance from the Point of Reference to the outside bottom of the container in units specified
      Parameters:
        `objbottomDelta` - Object of BottomDelta.

    - #### setCapType

          public void setCapType(java.lang.String strIdentifier,
                        java.lang.String strText,
                        java.lang.String strNameOfCodingSystem,
                        java.lang.String strAlternateIdentifier,
                        java.lang.String strAlternateText,
                        java.lang.String strNameOfAlternateCodingSystem,
                        java.lang.String strCodingSystemVersionID,
                        java.lang.String strAlternateCodingSystemVersionId,
                        java.lang.String strOriginalText,
                        java.lang.String strSecondAlternateIdentifier,
                        java.lang.String strSecondAlternateText,
                        java.lang.String strNameofSecondAlternateCodingSystem,
                        java.lang.String strSecondAlternateCodingSystemVersionID,
                        java.lang.String strCodingSystemOID,
                        java.lang.String strValueSetOID,
                        java.lang.String strValueSetVersionID,
                        java.lang.String strAlternateCodingSystemOID,
                        java.lang.String strAlternateValueSetOID,
                        java.lang.String strAlternateValueSetVersionID,
                        java.lang.String strSecondAlternateCodingSystemOID,
                        java.lang.String strSecondAlternateValueSetOID,
                        java.lang.String strSecondAlternateValueSetVersionID)

      Set the Cap Type.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setCapType

          public void setCapType(CWE objcapType)

      Set the Cap Type.
      Parameters:
        `objcapType` - Object of Cap Type.

    - #### setCarrierIdentifier

          public void setCarrierIdentifier(java.lang.String strEntityIdentifier,
                                  java.lang.String strNamespaceId,
                                  java.lang.String strUniversalId,
                                  java.lang.String strUniversalIdType)

      Set the CarrierIdentifier. This field specify the ID of the carrier where the container is located.
      Parameters:
        `strEntityIdentifier` - Specifies defined by a hierarchic designator, represented by components 2 through 4. [Reference Section 2.A.33, "HD - hierarchic designator".]
        `strNamespaceId` - Specifies the HL7 identifier for the user-defined table of values for this component. [Refer to User-defined Table 0363 - Assigning authority]
        `strUniversalId` - Specifies string formatted according to the scheme defined by the component, (UID type).
        `strUniversalIdType` - Specifies the interpretation of the second component of the HD.

    - #### setCarrierIdentifier

          public void setCarrierIdentifier(EI objcarrierIdentifier)

      Set the CarrierIdentifier. This field specify the ID of the carrier where the container is located.
      Parameters:
        `objcarrierIdentifier` - Object of CarrierIdentifier.

    - #### setCarrierType

          public void setCarrierType(java.lang.String strIdentifier,
                            java.lang.String strText,
                            java.lang.String strNameOfCodingSystem,
                            java.lang.String strAlternateIdentifier,
                            java.lang.String strAlternateText,
                            java.lang.String strNameOfAlternateCodingSystem,
                            java.lang.String strCodingSystemVersionID,
                            java.lang.String strAlternateCodingSystemVersionId,
                            java.lang.String strOriginalText,
                            java.lang.String strSecondAlternateIdentifier,
                            java.lang.String strSecondAlternateText,
                            java.lang.String strNameofSecondAlternateCodingSystem,
                            java.lang.String strSecondAlternateCodingSystemVersionID,
                            java.lang.String strCodingSystemOID,
                            java.lang.String strValueSetOID,
                            java.lang.String strValueSetVersionID,
                            java.lang.String strAlternateCodingSystemOID,
                            java.lang.String strAlternateValueSetOID,
                            java.lang.String strAlternateValueSetVersionID,
                            java.lang.String strSecondAlternateCodingSystemOID,
                            java.lang.String strSecondAlternateValueSetOID,
                            java.lang.String strSecondAlternateValueSetVersionID)

      Set the Carrier Type.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setCarrierType

          public void setCarrierType(CWE objcarrierType)

      Set the Carrier Type.
      Parameters:
        `objcarrierType` - Object of Carrier Type.

    - #### setContainerDiameter

          public void setContainerDiameter(java.lang.String strContainerDiameter)

      Set the Container Diameter.
      Parameters:
        `strContainerDiameter` - This field contains the String Value of Container Diameter

    - #### setContainerDiameter

          public void setContainerDiameter(NM objcontainerDiameter)

      Set the Container Diameter.
      Parameters:
        `objcontainerDiameter` - Object of Container Diameter.

    - #### setContainerHeight

          public void setContainerHeight(java.lang.String strContainerHeight)

      Set Container Height.
      Parameters:
        `strContainerHeight` - This field contains the String Value of Container Height

    - #### setContainerHeight

          public void setContainerHeight(NM objcontainerHeight)

      Set Container Height.
      Parameters:
        `objcontainerHeight` - Object of Container Height.

    - #### setContainerHeightDiameterDeltaUnits

          public void setContainerHeightDiameterDeltaUnits(java.lang.String strIdentifier,
                                                  java.lang.String strText,
                                                  java.lang.String strNameOfCodingSystem,
                                                  java.lang.String strAlternateIdentifier,
                                                  java.lang.String strAlternateText,
                                                  java.lang.String strNameOfAlternateCodingSystem,
                                                  java.lang.String strCodingSystemVersionID,
                                                  java.lang.String strAlternateCodingSystemVersionId,
                                                  java.lang.String strOriginalText,
                                                  java.lang.String strSecondAlternateIdentifier,
                                                  java.lang.String strSecondAlternateText,
                                                  java.lang.String strNameofSecondAlternateCodingSystem,
                                                  java.lang.String strSecondAlternateCodingSystemVersionID,
                                                  java.lang.String strCodingSystemOID,
                                                  java.lang.String strValueSetOID,
                                                  java.lang.String strValueSetVersionID,
                                                  java.lang.String strAlternateCodingSystemOID,
                                                  java.lang.String strAlternateValueSetOID,
                                                  java.lang.String strAlternateValueSetVersionID,
                                                  java.lang.String strSecondAlternateCodingSystemOID,
                                                  java.lang.String strSecondAlternateValueSetOID,
                                                  java.lang.String strSecondAlternateValueSetVersionID)

      Set the Container Height Diameter Delta Units. This field specify the unit identifier that is being used to describe the diameter, height and deltas of the container.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setContainerHeightDiameterDeltaUnits

          public void setContainerHeightDiameterDeltaUnits(CWE objcontainerHeightDiameterDeltaUnits)

      Set the Container Height Diameter Delta Units. This field specify the unit identifier that is being used to describe the diameter, height and deltas of the container.
      Parameters:
        `objcontainerHeightDiameterDeltaUnits` - Object of Container Height Diameter Delta Units.

    - #### setContainerIdentifier

          public void setContainerIdentifier(java.lang.String strEntityIdentifier,
                                    java.lang.String strNamespaceId,
                                    java.lang.String strUniversalId,
                                    java.lang.String strUniversalIdType)

      Set the Container Identifier.
      Parameters:
        `strEntityIdentifier` - Specifies defined by a hierarchic designator, represented by components 2 through 4. [Reference Section 2.A.33, "HD - hierarchic designator".]
        `strNamespaceId` - Specifies the HL7 identifier for the user-defined table of values for this component. [Refer to User-defined Table 0363 - Assigning authority]
        `strUniversalId` - Specifies string formatted according to the scheme defined by the component, (UID type).
        `strUniversalIdType` - Specifies the interpretation of the second component of the HD.

    - #### setContainerIdentifier

          public void setContainerIdentifier(EI objcontainerIdentifier)

      Set the Container Identifier.
      Parameters:
        `objcontainerIdentifier` - Object of Container Identifier.

    - #### setContainerStatus

          public void setContainerStatus(java.lang.String strIdentifier,
                                java.lang.String strText,
                                java.lang.String strNameOfCodingSystem,
                                java.lang.String strAlternateIdentifier,
                                java.lang.String strAlternateText,
                                java.lang.String strNameOfAlternateCodingSystem,
                                java.lang.String strCodingSystemVersionID,
                                java.lang.String strAlternateCodingSystemVersionId,
                                java.lang.String strOriginalText,
                                java.lang.String strSecondAlternateIdentifier,
                                java.lang.String strSecondAlternateText,
                                java.lang.String strNameofSecondAlternateCodingSystem,
                                java.lang.String strSecondAlternateCodingSystemVersionID,
                                java.lang.String strCodingSystemOID,
                                java.lang.String strValueSetOID,
                                java.lang.String strValueSetVersionID,
                                java.lang.String strAlternateCodingSystemOID,
                                java.lang.String strAlternateValueSetOID,
                                java.lang.String strAlternateValueSetVersionID,
                                java.lang.String strSecondAlternateCodingSystemOID,
                                java.lang.String strSecondAlternateValueSetOID,
                                java.lang.String strSecondAlternateValueSetVersionID)

      Set the Container Status.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setContainerStatus

          public void setContainerStatus(CWE objcontainerStatus)

      Set the Container Status.
      Parameters:
        `objcontainerStatus` - Object of Container Status.

    - #### setContainerVolume

          public void setContainerVolume(java.lang.String strContainerVolume)

      Set the Container Volume.
      Parameters:
        `strContainerVolume` - This field contains the String Value of Container Volume

    - #### setContainerVolume

          public void setContainerVolume(NM objcontainerVolume)

      Set the Container Volume.
      Parameters:
        `objcontainerVolume` - Object of Container Volume.

    - #### setDilutionFactor

          public void setDilutionFactor(java.lang.String strComparator,
                               java.lang.String strNum1,
                               java.lang.String strSeparatorSuffix,
                               java.lang.String strNum2)

      Set the Dilution Factor.
      Parameters:
        `strComparator` - Specifies as greater than, less than, greater than or equal, less than or equal, equal, and not equal, respectively
        `strNum1` - Specifies A number.
        `strSeparatorSuffix` - Specifies Separat or Suffix
        `strNum2` - Specifies A number or null depending on the measurement.

    - #### setDilutionFactor

          public void setDilutionFactor(SN objdilutionFactor)

      Set the Dilution Factor.
      Parameters:
        `objdilutionFactor` - Object of Dilution Factor.

    - #### addDrugInterference

          public void addDrugInterference(java.lang.String strIdentifier,
                                 java.lang.String strText,
                                 java.lang.String strNameOfCodingSystem,
                                 java.lang.String strAlternateIdentifier,
                                 java.lang.String strAlternateText,
                                 java.lang.String strNameOfAlternateCodingSystem,
                                 java.lang.String strCodingSystemVersionID,
                                 java.lang.String strAlternateCodingSystemVersionId,
                                 java.lang.String strOriginalText,
                                 java.lang.String strSecondAlternateIdentifier,
                                 java.lang.String strSecondAlternateText,
                                 java.lang.String strNameofSecondAlternateCodingSystem,
                                 java.lang.String strSecondAlternateCodingSystemVersionID,
                                 java.lang.String strCodingSystemOID,
                                 java.lang.String strValueSetOID,
                                 java.lang.String strValueSetVersionID,
                                 java.lang.String strAlternateCodingSystemOID,
                                 java.lang.String strAlternateValueSetOID,
                                 java.lang.String strAlternateValueSetVersionID,
                                 java.lang.String strSecondAlternateCodingSystemOID,
                                 java.lang.String strSecondAlternateValueSetOID,
                                 java.lang.String strSecondAlternateValueSetVersionID)

      Add the Drug Interference.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addDrugInterference

          public void addDrugInterference(CWE objdrugInterference)

      Add the Drug Interference.
      Parameters:
        `objdrugInterference` - Object of Drug Interference.

    - #### setDrugInterference

          public void setDrugInterference(ISingleCollection<CWE> objDrugInterference)

      Set the Drug Interference.
      Parameters:
        `objDrugInterference` - List of Drug Interference.

    - #### setEquipmentContainerIdentifier

          public void setEquipmentContainerIdentifier(java.lang.String strEntityIdentifier,
                                             java.lang.String strNamespaceId,
                                             java.lang.String strUniversalId,
                                             java.lang.String strUniversalIdType)

      Set the Equipment Container Identifier.
      Parameters:
        `strEntityIdentifier` - Specifies defined by a hierarchic designator, represented by components 2 through 4. [Reference Section 2.A.33, "HD - hierarchic designator".]
        `strNamespaceId` - Specifies the HL7 identifier for the user-defined table of values for this component. [Refer to User-defined Table 0363 - Assigning authority]
        `strUniversalId` - Specifies string formatted according to the scheme defined by the component, (UID type).
        `strUniversalIdType` - Specifies the interpretation of the second component of the HD.

    - #### setEquipmentContainerIdentifier

          public void setEquipmentContainerIdentifier(EI objequipmentContainerIdentifier)

      Set the Equipment Container Identifier.
      Parameters:
        `objequipmentContainerIdentifier` - Object of Equipment Container Identifier.

    - #### setExternalAccessionIdentifier

          public void setExternalAccessionIdentifier(java.lang.String strEntityIdentifier,
                                            java.lang.String strNamespaceId,
                                            java.lang.String strUniversalId,
                                            java.lang.String strUniversalIdType)

      Set the External AccessionIdentifier.
      Parameters:
        `strEntityIdentifier` - Specifies defined by a hierarchic designator, represented by components 2 through 4. [Reference Section 2.A.33, "HD - hierarchic designator".]
        `strNamespaceId` - Specifies the HL7 identifier for the user-defined table of values for this component. [Refer to User-defined Table 0363 - Assigning authority]
        `strUniversalId` - Specifies string formatted according to the scheme defined by the component, (UID type).
        `strUniversalIdType` - Specifies the interpretation of the second component of the HD.

    - #### setExternalAccessionIdentifier

          public void setExternalAccessionIdentifier(EI objexternalAccessionIdentifier)

      Set the External AccessionIdentifier.
      Parameters:
        `objexternalAccessionIdentifier` - Object of External AccessionIdentifier.

    - #### setFibrinIndex

          public void setFibrinIndex(java.lang.String strFibrinIndex)

      Set the Fibrin Index.
      Parameters:
        `strFibrinIndex` - This field contains the String Value of Fibrin Index

    - #### setFibrinIndex

          public void setFibrinIndex(NM objfibrinIndex)

      Set the Fibrin Index.
      Parameters:
        `objfibrinIndex` - Object of Fibrin Index.

    - #### setFibrinIndexUnits

          public void setFibrinIndexUnits(java.lang.String strIdentifier,
                                 java.lang.String strText,
                                 java.lang.String strNameOfCodingSystem,
                                 java.lang.String strAlternateIdentifier,
                                 java.lang.String strAlternateText,
                                 java.lang.String strNameOfAlternateCodingSystem,
                                 java.lang.String strCodingSystemVersionID,
                                 java.lang.String strAlternateCodingSystemVersionId,
                                 java.lang.String strOriginalText,
                                 java.lang.String strSecondAlternateIdentifier,
                                 java.lang.String strSecondAlternateText,
                                 java.lang.String strNameofSecondAlternateCodingSystem,
                                 java.lang.String strSecondAlternateCodingSystemVersionID,
                                 java.lang.String strCodingSystemOID,
                                 java.lang.String strValueSetOID,
                                 java.lang.String strValueSetVersionID,
                                 java.lang.String strAlternateCodingSystemOID,
                                 java.lang.String strAlternateValueSetOID,
                                 java.lang.String strAlternateValueSetVersionID,
                                 java.lang.String strSecondAlternateCodingSystemOID,
                                 java.lang.String strSecondAlternateValueSetOID,
                                 java.lang.String strSecondAlternateValueSetVersionID)

      Set the Fibrin Index Units.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setFibrinIndexUnits

          public void setFibrinIndexUnits(CWE objfibrinIndexUnits)

      Set the Fibrin Index Units.
      Parameters:
        `objfibrinIndexUnits` - Object of Fibrin Index Units.

    - #### setHemolysisIndex

          public void setHemolysisIndex(java.lang.String strHemolysisIndex)

      Set the Hemolysis Index.
      Parameters:
        `strHemolysisIndex` - This field contains the String Value of Hemolysis Index

    - #### setHemolysisIndex

          public void setHemolysisIndex(NM objhemolysisIndex)

      Set the Hemolysis Index.
      Parameters:
        `objhemolysisIndex` - Object of Hemolysis Index.

    - #### setHemolysisIndexUnits

          public void setHemolysisIndexUnits(java.lang.String strIdentifier,
                                    java.lang.String strText,
                                    java.lang.String strNameOfCodingSystem,
                                    java.lang.String strAlternateIdentifier,
                                    java.lang.String strAlternateText,
                                    java.lang.String strNameOfAlternateCodingSystem,
                                    java.lang.String strCodingSystemVersionID,
                                    java.lang.String strAlternateCodingSystemVersionId,
                                    java.lang.String strOriginalText,
                                    java.lang.String strSecondAlternateIdentifier,
                                    java.lang.String strSecondAlternateText,
                                    java.lang.String strNameofSecondAlternateCodingSystem,
                                    java.lang.String strSecondAlternateCodingSystemVersionID,
                                    java.lang.String strCodingSystemOID,
                                    java.lang.String strValueSetOID,
                                    java.lang.String strValueSetVersionID,
                                    java.lang.String strAlternateCodingSystemOID,
                                    java.lang.String strAlternateValueSetOID,
                                    java.lang.String strAlternateValueSetVersionID,
                                    java.lang.String strSecondAlternateCodingSystemOID,
                                    java.lang.String strSecondAlternateValueSetOID,
                                    java.lang.String strSecondAlternateValueSetVersionID)

      Set the Hemolysis Index Units.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setHemolysisIndexUnits

          public void setHemolysisIndexUnits(CWE objhemolysisIndexUnits)

      Set the Hemolysis Index Units.
      Parameters:
        `objhemolysisIndexUnits` - Object of Hemolysis Index Units.

    - #### setIcterusIndex

          public void setIcterusIndex(java.lang.String strIcterusIndex)

      Set the Icterus Index.
      Parameters:
        `strIcterusIndex` - This field contains the String Value of Hemolysis Index

    - #### setIcterusIndex

          public void setIcterusIndex(NM objicterusIndex)

      Set the Icterus Index.
      Parameters:
        `objicterusIndex` - Object of Icterus Index.

    - #### setIcterusIndexUnits

          public void setIcterusIndexUnits(java.lang.String strIdentifier,
                                  java.lang.String strText,
                                  java.lang.String strNameOfCodingSystem,
                                  java.lang.String strAlternateIdentifier,
                                  java.lang.String strAlternateText,
                                  java.lang.String strNameOfAlternateCodingSystem,
                                  java.lang.String strCodingSystemVersionID,
                                  java.lang.String strAlternateCodingSystemVersionId,
                                  java.lang.String strOriginalText,
                                  java.lang.String strSecondAlternateIdentifier,
                                  java.lang.String strSecondAlternateText,
                                  java.lang.String strNameofSecondAlternateCodingSystem,
                                  java.lang.String strSecondAlternateCodingSystemVersionID,
                                  java.lang.String strCodingSystemOID,
                                  java.lang.String strValueSetOID,
                                  java.lang.String strValueSetVersionID,
                                  java.lang.String strAlternateCodingSystemOID,
                                  java.lang.String strAlternateValueSetOID,
                                  java.lang.String strAlternateValueSetVersionID,
                                  java.lang.String strSecondAlternateCodingSystemOID,
                                  java.lang.String strSecondAlternateValueSetOID,
                                  java.lang.String strSecondAlternateValueSetVersionID)

      Set the Icterus Index Units.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setIcterusIndexUnits

          public void setIcterusIndexUnits(CWE objicterusIndexUnits)

      Set the Icterus Index Units.
      Parameters:
        `objicterusIndexUnits` - Object of Icterus Index Units.

    - #### setInitialSpecimenVolume

          public void setInitialSpecimenVolume(java.lang.String strInitialSpecimenVolume)

      Set the Initial Specimen Volume.
      Parameters:
        `strInitialSpecimenVolume` - This field contains the String Value of Initial Specimen Volume

    - #### setInitialSpecimenVolume

          public void setInitialSpecimenVolume(NM objinitialSpecimenVolume)

      Set the Initial Specimen Volume.
      Parameters:
        `objinitialSpecimenVolume` - Object of Initial Specimen Volume.

    - #### setLipemiaIndex

          public void setLipemiaIndex(java.lang.String strLipemiaIndex)

      Set the Lipemia Index.
      Parameters:
        `strLipemiaIndex` - This field contains the String Value of Lipemia Index

    - #### setLipemiaIndex

          public void setLipemiaIndex(NM objlipemiaIndex)

      Set the Lipemia Index.
      Parameters:
        `objlipemiaIndex` - Object of Lipemia Index.

    - #### setLipemiaIndexUnits

          public void setLipemiaIndexUnits(java.lang.String strIdentifier,
                                  java.lang.String strText,
                                  java.lang.String strNameOfCodingSystem,
                                  java.lang.String strAlternateIdentifier,
                                  java.lang.String strAlternateText,
                                  java.lang.String strNameOfAlternateCodingSystem,
                                  java.lang.String strCodingSystemVersionID,
                                  java.lang.String strAlternateCodingSystemVersionId,
                                  java.lang.String strOriginalText,
                                  java.lang.String strSecondAlternateIdentifier,
                                  java.lang.String strSecondAlternateText,
                                  java.lang.String strNameofSecondAlternateCodingSystem,
                                  java.lang.String strSecondAlternateCodingSystemVersionID,
                                  java.lang.String strCodingSystemOID,
                                  java.lang.String strValueSetOID,
                                  java.lang.String strValueSetVersionID,
                                  java.lang.String strAlternateCodingSystemOID,
                                  java.lang.String strAlternateValueSetOID,
                                  java.lang.String strAlternateValueSetVersionID,
                                  java.lang.String strSecondAlternateCodingSystemOID,
                                  java.lang.String strSecondAlternateValueSetOID,
                                  java.lang.String strSecondAlternateValueSetVersionID)

      Set the Lipemia Index Units.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setLipemiaIndexUnits

          public void setLipemiaIndexUnits(CWE objlipemiaIndexUnits)

      Set the Lipemia Index Units.
      Parameters:
        `objlipemiaIndexUnits` - Object of Lipemia Index Units.

    - #### addLocation

          public void addLocation(java.lang.String strIdentifier,
                         java.lang.String strText,
                         java.lang.String strNameOfCodingSystem,
                         java.lang.String strAlternateIdentifier,
                         java.lang.String strAlternateText,
                         java.lang.String strNameOfAlternateCodingSystem,
                         java.lang.String strCodingSystemVersionID,
                         java.lang.String strAlternateCodingSystemVersionId,
                         java.lang.String strOriginalText,
                         java.lang.String strSecondAlternateIdentifier,
                         java.lang.String strSecondAlternateText,
                         java.lang.String strNameofSecondAlternateCodingSystem,
                         java.lang.String strSecondAlternateCodingSystemVersionID,
                         java.lang.String strCodingSystemOID,
                         java.lang.String strValueSetOID,
                         java.lang.String strValueSetVersionID,
                         java.lang.String strAlternateCodingSystemOID,
                         java.lang.String strAlternateValueSetOID,
                         java.lang.String strAlternateValueSetVersionID,
                         java.lang.String strSecondAlternateCodingSystemOID,
                         java.lang.String strSecondAlternateValueSetOID,
                         java.lang.String strSecondAlternateValueSetVersionID)

      Add the Location.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addLocation

          public void addLocation(CWE objlocation)

      Add the Location.
      Parameters:
        `objlocation` - Object of Location.

    - #### setLocation

          public void setLocation(ISingleCollection<CWE> objLocation)

      Set the Location.
      Parameters:
        `objLocation` - List of Location.

    - #### addOtherEnvironmentalFactors

          public void addOtherEnvironmentalFactors(java.lang.String strIdentifier,
                                          java.lang.String strText,
                                          java.lang.String strNameOfCodingSystem,
                                          java.lang.String strAlternateIdentifier,
                                          java.lang.String strAlternateText,
                                          java.lang.String strNameOfAlternateCodingSystem,
                                          java.lang.String strCodingSystemVersionID,
                                          java.lang.String strAlternateCodingSystemVersionId,
                                          java.lang.String strOriginalText,
                                          java.lang.String strSecondAlternateIdentifier,
                                          java.lang.String strSecondAlternateText,
                                          java.lang.String strNameofSecondAlternateCodingSystem,
                                          java.lang.String strSecondAlternateCodingSystemVersionID,
                                          java.lang.String strCodingSystemOID,
                                          java.lang.String strValueSetOID,
                                          java.lang.String strValueSetVersionID,
                                          java.lang.String strAlternateCodingSystemOID,
                                          java.lang.String strAlternateValueSetOID,
                                          java.lang.String strAlternateValueSetVersionID,
                                          java.lang.String strSecondAlternateCodingSystemOID,
                                          java.lang.String strSecondAlternateValueSetOID,
                                          java.lang.String strSecondAlternateValueSetVersionID)

      Add the OtherEnvironmentalFactors. This field specify the other environmental factors that are associated with the specimen in a specific container
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addOtherEnvironmentalFactors

          public void addOtherEnvironmentalFactors(CWE objotherEnvironmentalFactors)

      Add the OtherEnvironmentalFactors. This field specify the other environmental factors that are associated with the specimen in a specific container
      Parameters:
        `objotherEnvironmentalFactors` - Object of OtherEnvironmentalFactors.

    - #### setOtherEnvironmentalFactors

          public void setOtherEnvironmentalFactors(ISingleCollection<CWE> objOtherEnvironmentalFactors)

      Set the OtherEnvironmentalFactors. This field specify the other environmental factors that are associated with the specimen in a specific container
      Parameters:
        `objOtherEnvironmentalFactors` -

    - #### setPositioninCarrier

          public void setPositioninCarrier(java.lang.String strValue1,
                                  java.lang.String strValue2,
                                  java.lang.String strValue3,
                                  java.lang.String strValue4)

      Set the Position In Carrier.
      Parameters:
        `objPositionInCarrier` - SingleCollection of NM to be set as PositioninCarrier.

    - #### setPositioninCarrier

          public void setPositioninCarrier(NA objpositionInCarrier)

      Set the Position In Carrier.
      Parameters:
        `objpositionInCarrier` - Object of Position In Carrier.

    - #### setPositioninTray

          public void setPositioninTray(java.lang.String strValue1,
                               java.lang.String strValue2,
                               java.lang.String strValue3,
                               java.lang.String strValue4)

      Set the Position In Tray.
      Parameters:
        `objPositionInTray` - Vector of NM for Positionin Tray

    - #### setPositioninTray

          public void setPositioninTray(NA objpositionInTray)

      Set the Position In Tray.
      Parameters:
        `objpositionInTray` - Object of Position In Tray.

    - #### setPrimaryParentContainerIdentifier

          public void setPrimaryParentContainerIdentifier(java.lang.String strEntityIdentifier,
                                                 java.lang.String strNamespaceId,
                                                 java.lang.String strUniversalId,
                                                 java.lang.String strUniversalIdType)

      Set the Primary Parent Container Identifier.
      Parameters:
        `strEntityIdentifier` - Specifies defined by a hierarchic designator, represented by components 2 through 4. [Reference Section 2.A.33, "HD - hierarchic designator".]
        `strNamespaceId` - Specifies the HL7 identifier for the user-defined table of values for this component. [Refer to User-defined Table 0363 - Assigning authority]
        `strUniversalId` - Specifies string formatted according to the scheme defined by the component, (UID type).
        `strUniversalIdType` - Specifies the interpretation of the second component of the HD.

    - #### setPrimaryParentContainerIdentifier

          public void setPrimaryParentContainerIdentifier(EI objprimaryParentContainerIdentifier)

      Set the Primary Parent Container Identifier.
      Parameters:
        `objprimaryParentContainerIdentifier` - Object of Primary Parent Container Identifier.

    - #### setRegistrationDateTime

          public void setRegistrationDateTime(java.lang.String strTime)

      Set the Registration Date Time.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setRegistrationDateTime

          public void setRegistrationDateTime(DTM objregistrationDateTime)

      Set the Registration Date Time.
      Parameters:
        `objregistrationDateTime` - Object of Registration Date Time.

    - #### setSeparatorType

          public void setSeparatorType(java.lang.String strIdentifier,
                              java.lang.String strText,
                              java.lang.String strNameOfCodingSystem,
                              java.lang.String strAlternateIdentifier,
                              java.lang.String strAlternateText,
                              java.lang.String strNameOfAlternateCodingSystem,
                              java.lang.String strCodingSystemVersionID,
                              java.lang.String strAlternateCodingSystemVersionId,
                              java.lang.String strOriginalText,
                              java.lang.String strSecondAlternateIdentifier,
                              java.lang.String strSecondAlternateText,
                              java.lang.String strNameofSecondAlternateCodingSystem,
                              java.lang.String strSecondAlternateCodingSystemVersionID,
                              java.lang.String strCodingSystemOID,
                              java.lang.String strValueSetOID,
                              java.lang.String strValueSetVersionID,
                              java.lang.String strAlternateCodingSystemOID,
                              java.lang.String strAlternateValueSetOID,
                              java.lang.String strAlternateValueSetVersionID,
                              java.lang.String strSecondAlternateCodingSystemOID,
                              java.lang.String strSecondAlternateValueSetOID,
                              java.lang.String strSecondAlternateValueSetVersionID)

      Set the Separator Type.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setSeparatorType

          public void setSeparatorType(CWE objseparatorType)

      Set the Separator Type.
      Parameters:
        `objseparatorType` - Object of Separator Type.

    - #### addSpecialHandlingCode

          public void addSpecialHandlingCode(java.lang.String strIdentifier,
                                    java.lang.String strText,
                                    java.lang.String strNameOfCodingSystem,
                                    java.lang.String strAlternateIdentifier,
                                    java.lang.String strAlternateText,
                                    java.lang.String strNameOfAlternateCodingSystem,
                                    java.lang.String strCodingSystemVersionID,
                                    java.lang.String strAlternateCodingSystemVersionId,
                                    java.lang.String strOriginalText,
                                    java.lang.String strSecondAlternateIdentifier,
                                    java.lang.String strSecondAlternateText,
                                    java.lang.String strNameofSecondAlternateCodingSystem,
                                    java.lang.String strSecondAlternateCodingSystemVersionID,
                                    java.lang.String strCodingSystemOID,
                                    java.lang.String strValueSetOID,
                                    java.lang.String strValueSetVersionID,
                                    java.lang.String strAlternateCodingSystemOID,
                                    java.lang.String strAlternateValueSetOID,
                                    java.lang.String strAlternateValueSetVersionID,
                                    java.lang.String strSecondAlternateCodingSystemOID,
                                    java.lang.String strSecondAlternateValueSetOID,
                                    java.lang.String strSecondAlternateValueSetVersionID)

      Add the Special Handling Code.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addSpecialHandlingCode

          public void addSpecialHandlingCode(CWE objspecialHandlingCode)

      Add the Special Handling Code.
      Parameters:
        `objspecialHandlingCode` - Object of Special Handling Code.

    - #### setSpecialHandlingCode

          public void setSpecialHandlingCode(ISingleCollection<CWE> objSpecialHandlingCode)

      Set the Special Handling Code.
      Parameters:
        `objSpecialHandlingCode` - List of the Special Handling Code.

    - #### setSpecimenComponent

          public void setSpecimenComponent(java.lang.String strIdentifier,
                                  java.lang.String strText,
                                  java.lang.String strNameOfCodingSystem,
                                  java.lang.String strAlternateIdentifier,
                                  java.lang.String strAlternateText,
                                  java.lang.String strNameOfAlternateCodingSystem,
                                  java.lang.String strCodingSystemVersionID,
                                  java.lang.String strAlternateCodingSystemVersionId,
                                  java.lang.String strOriginalText,
                                  java.lang.String strSecondAlternateIdentifier,
                                  java.lang.String strSecondAlternateText,
                                  java.lang.String strNameofSecondAlternateCodingSystem,
                                  java.lang.String strSecondAlternateCodingSystemVersionID,
                                  java.lang.String strCodingSystemOID,
                                  java.lang.String strValueSetOID,
                                  java.lang.String strValueSetVersionID,
                                  java.lang.String strAlternateCodingSystemOID,
                                  java.lang.String strAlternateValueSetOID,
                                  java.lang.String strAlternateValueSetVersionID,
                                  java.lang.String strSecondAlternateCodingSystemOID,
                                  java.lang.String strSecondAlternateValueSetOID,
                                  java.lang.String strSecondAlternateValueSetVersionID)

      Set the Specimen Component.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setSpecimenComponent

          public void setSpecimenComponent(CWE objspecimenComponent)

      Set the Specimen Component.
      Parameters:
        `objspecimenComponent` - Object of Specimen Component.

    - #### addSystemInducedContaminants

          public void addSystemInducedContaminants(java.lang.String strIdentifier,
                                          java.lang.String strText,
                                          java.lang.String strNameOfCodingSystem,
                                          java.lang.String strAlternateIdentifier,
                                          java.lang.String strAlternateText,
                                          java.lang.String strNameOfAlternateCodingSystem,
                                          java.lang.String strCodingSystemVersionID,
                                          java.lang.String strAlternateCodingSystemVersionId,
                                          java.lang.String strOriginalText,
                                          java.lang.String strSecondAlternateIdentifier,
                                          java.lang.String strSecondAlternateText,
                                          java.lang.String strNameofSecondAlternateCodingSystem,
                                          java.lang.String strSecondAlternateCodingSystemVersionID,
                                          java.lang.String strCodingSystemOID,
                                          java.lang.String strValueSetOID,
                                          java.lang.String strValueSetVersionID,
                                          java.lang.String strAlternateCodingSystemOID,
                                          java.lang.String strAlternateValueSetOID,
                                          java.lang.String strAlternateValueSetVersionID,
                                          java.lang.String strSecondAlternateCodingSystemOID,
                                          java.lang.String strSecondAlternateValueSetOID,
                                          java.lang.String strSecondAlternateValueSetVersionID)

      Add the System Induced Contaminants.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addSystemInducedContaminants

          public void addSystemInducedContaminants(CWE objsystemInducedContaminants)

      Add the System Induced Contaminants.
      Parameters:
        `objsystemInducedContaminants` - Object of System Induced Contaminants.

    - #### setSystemInducedContaminants

          public void setSystemInducedContaminants(ISingleCollection<CWE> objSystemInducedContaminants)

      Set the System Induced Contaminants.
      Parameters:
        `objSystemInducedContaminants` - List of the System Induced Contaminants.

    - #### setTemperature

          public void setTemperature(java.lang.String strComparator,
                            java.lang.String strNum1,
                            java.lang.String strSeparatorSuffix,
                            java.lang.String strNum2)

      Set the Temperature. This field specify the temperature in degrees Celsius at the time of the transaction specified in the EQU segment.
      Parameters:
        `strComparator` - Specifies as greater than, less than, greater than or equal, less than or equal, equal, and not equal, respectively
        `strNum1` - Specifies A number.
        `strSeparatorSuffix` - Specifies Separat or Suffix
        `strNum2` - Specifies A number or null depending on the measurement.

    - #### setTemperature

          public void setTemperature(SN objtemperature)

      Set the Temperature. This field specify the temperature in degrees Celsius at the time of the transaction specified in the EQU segment.
      Parameters:
        `objtemperature` - Object of Temperature.

    - #### setTrayIdentifier

          public void setTrayIdentifier(java.lang.String strEntityIdentifier,
                               java.lang.String strNamespaceId,
                               java.lang.String strUniversalId,
                               java.lang.String strUniversalIdType)

      Set the Tray Identifier.
      Parameters:
        `strEntityIdentifier` - Specifies defined by a hierarchic designator, represented by components 2 through 4. [Reference Section 2.A.33, "HD - hierarchic designator".]
        `strNamespaceId` - Specifies the HL7 identifier for the user-defined table of values for this component. [Refer to User-defined Table 0363 - Assigning authority]
        `strUniversalId` - Specifies string formatted according to the scheme defined by the component, (UID type).
        `strUniversalIdType` - Specifies the interpretation of the second component of the HD.

    - #### setTrayIdentifier

          public void setTrayIdentifier(EI objtrayIdentifier)

      Set the Tray Identifier.
      Parameters:
        `objtrayIdentifier` - Object of Tray Identifier.

    - #### setTrayType_SAC

          public void setTrayType_SAC(java.lang.String strIdentifier,
                             java.lang.String strText,
                             java.lang.String strNameOfCodingSystem,
                             java.lang.String strAlternateIdentifier,
                             java.lang.String strAlternateText,
                             java.lang.String strNameOfAlternateCodingSystem,
                             java.lang.String strCodingSystemVersionID,
                             java.lang.String strAlternateCodingSystemVersionId,
                             java.lang.String strOriginalText,
                             java.lang.String strSecondAlternateIdentifier,
                             java.lang.String strSecondAlternateText,
                             java.lang.String strNameofSecondAlternateCodingSystem,
                             java.lang.String strSecondAlternateCodingSystemVersionID,
                             java.lang.String strCodingSystemOID,
                             java.lang.String strValueSetOID,
                             java.lang.String strValueSetVersionID,
                             java.lang.String strAlternateCodingSystemOID,
                             java.lang.String strAlternateValueSetOID,
                             java.lang.String strAlternateValueSetVersionID,
                             java.lang.String strSecondAlternateCodingSystemOID,
                             java.lang.String strSecondAlternateValueSetOID,
                             java.lang.String strSecondAlternateValueSetVersionID)

      Set the Tray Type SAC.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setTrayType_SAC

          public void setTrayType_SAC(CWE objtrayType_SAC)

      Set the Tray Type SAC.
      Parameters:
        `objtrayType_SAC` - Object of Tray Type SAC.

    - #### setTreatment

          public void setTreatment(java.lang.String strIdentifier,
                          java.lang.String strText,
                          java.lang.String strNameOfCodingSystem,
                          java.lang.String strAlternateIdentifier,
                          java.lang.String strAlternateText,
                          java.lang.String strNameOfAlternateCodingSystem,
                          java.lang.String strCodingSystemVersionID,
                          java.lang.String strAlternateCodingSystemVersionId,
                          java.lang.String strOriginalText,
                          java.lang.String strSecondAlternateIdentifier,
                          java.lang.String strSecondAlternateText,
                          java.lang.String strNameofSecondAlternateCodingSystem,
                          java.lang.String strSecondAlternateCodingSystemVersionID,
                          java.lang.String strCodingSystemOID,
                          java.lang.String strValueSetOID,
                          java.lang.String strValueSetVersionID,
                          java.lang.String strAlternateCodingSystemOID,
                          java.lang.String strAlternateValueSetOID,
                          java.lang.String strAlternateValueSetVersionID,
                          java.lang.String strSecondAlternateCodingSystemOID,
                          java.lang.String strSecondAlternateValueSetOID,
                          java.lang.String strSecondAlternateValueSetVersionID)

      Set the Treatment.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setTreatment

          public void setTreatment(CWE objtreatment)

      Set the Treatment.
      Parameters:
        `objtreatment` - Object of Treatment.

    - #### setVolumeUnits

          public void setVolumeUnits(java.lang.String strIdentifier,
                            java.lang.String strText,
                            java.lang.String strNameOfCodingSystem,
                            java.lang.String strAlternateIdentifier,
                            java.lang.String strAlternateText,
                            java.lang.String strNameOfAlternateCodingSystem,
                            java.lang.String strCodingSystemVersionID,
                            java.lang.String strAlternateCodingSystemVersionId,
                            java.lang.String strOriginalText,
                            java.lang.String strSecondAlternateIdentifier,
                            java.lang.String strSecondAlternateText,
                            java.lang.String strNameofSecondAlternateCodingSystem,
                            java.lang.String strSecondAlternateCodingSystemVersionID,
                            java.lang.String strCodingSystemOID,
                            java.lang.String strValueSetOID,
                            java.lang.String strValueSetVersionID,
                            java.lang.String strAlternateCodingSystemOID,
                            java.lang.String strAlternateValueSetOID,
                            java.lang.String strAlternateValueSetVersionID,
                            java.lang.String strSecondAlternateCodingSystemOID,
                            java.lang.String strSecondAlternateValueSetOID,
                            java.lang.String strSecondAlternateValueSetVersionID)

      Set the Volume Units.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setVolumeUnits

          public void setVolumeUnits(CWE objvolumeUnits)

      Set the Volume Units.
      Parameters:
        `objvolumeUnits` - Object of Volume Units.

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation chcecks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - Throws when Segment Validation fails.